/* This work is licensed under a Creative Commons Attribution-NonCommercial 4.0 International License. */

import React  from 'react';
import PropTypes from 'prop-types';
import {
  requireNativeComponent,
  ViewPropTypes,
} from 'react-native';

var resolveAssetSource = require("react-native/Libraries/Image/resolveAssetSource");

const iface = {
  name: 'AccessibilityFocus',
  propTypes: {
    src: PropTypes.string,
    label: PropTypes.string,
    ...ViewPropTypes, // include the default view properties
  },
};

const emptyFn = _ => _;

const RNAccessibilityFocus = requireNativeComponent('AccessibilityFocus', iface);

export default class AndroidAccessibleImage extends React.Component {
  render() {
    const uri = resolveAssetSource(this.props.name).uri;
    return (<RNAccessibilityFocus
      src={uri}
      label={this.props.label}
      style={{...this.props.style}}
      onAccessibilityFocusStart={(this.props.onFocusStart) ? this.props.onFocusStart : emptyFn}
      onAccessibilityFocusEnd={(this.props.onFocusEnd) ? this.props.onFocusEnd : emptyFn}
      onPress={(this.props.onPress) ? this.props.onPress : emptyFn}
      onLongPress={(this.props.onLongPress) ? this.props.onLongPress : emptyFn}
    />);
  }
}
