/* This work is licensed under a Creative Commons Attribution-NonCommercial 4.0 International License. */

import React from 'react';
import PropTypes from 'prop-types';
import {
  requireNativeComponent,
  ViewPropTypes,
} from 'react-native';
var resolveAssetSource = require("react-native/Libraries/Image/resolveAssetSource");

const iface = {
  name: 'AccessibilityFocus',
  propTypes: {
    name: PropTypes.string,
    label: PropTypes.string,
    ...ViewPropTypes, // include the default view properties
  },
};

const RNAccessibilityFocus = requireNativeComponent('RNAccessibilityFocus', iface);

const emptyFn = _ => _;

export default class IosAccessibleImage extends React.Component {
  render() {
    const uri = resolveAssetSource(this.props.name).uri;
    return (<RNAccessibilityFocus
      name={uri}
      label={this.props.accessibilityLabel}
      style={{...this.props.style}}
      onFocusStart={(this.props.onFocusStart) ? this.props.onFocusStart : emptyFn}
      onFocusEnd={(this.props.onFocusEnd) ? this.props.onFocusEnd : emptyFn}
      onImagePressed={(this.props.onPress) ? this.props.onPress : emptyFn}
      onImageLongPressed={(this.props.onLongPress) ? this.props.onLongPress : emptyFn }
    />);
  }
}
