/* This work is licensed under a Creative Commons Attribution-NonCommercial 4.0 International License. */

#import "RNAccessibilityFocus.h"
#import "RNTAccessibleImage.h"

@implementation RNAccessibilityFocus

RCT_EXPORT_MODULE()
RCT_EXPORT_VIEW_PROPERTY(name, NSString*) //is the image name inside the project
RCT_EXPORT_VIEW_PROPERTY(label, NSString*) //accessibility label
RCT_EXPORT_VIEW_PROPERTY(onFocusStart, RCTDirectEventBlock)
RCT_EXPORT_VIEW_PROPERTY(onFocusEnd, RCTDirectEventBlock)
RCT_EXPORT_VIEW_PROPERTY(onImagePressed, RCTDirectEventBlock)
RCT_EXPORT_VIEW_PROPERTY(onImageLongPressed, RCTDirectEventBlock)

-(UIView*) view{

    RNTAccessibleImage* img=[[RNTAccessibleImage alloc]init];
    [img setAccessibilityLabel:@""];
    [img setAccessibilityHint:@""];
    [img setAccessibilityTraits:UIAccessibilityTraitPlaysSound];
    return img;
}

@end

