/* This work is licensed under a Creative Commons Attribution-NonCommercial 4.0 International License. */

//
//  RNTAccessibleImage.m
//  RNAccessibilityFocus
//

#import "RNTAccessibleImage.h"

@implementation RNTAccessibleImage

//From React parameters methods

-(void)setName:(NSString*)name{

    //load image from Bundle (see AppDelegate)
    NSData *imageData = [[NSData alloc]initWithContentsOfURL:[NSURL URLWithString:name]];
    [self setImage:[UIImage imageWithData:imageData]];

    UITapGestureRecognizer *tapGestureRecognizer = [[UITapGestureRecognizer alloc]initWithTarget:self action:@selector(imgTapped)];
    [self addGestureRecognizer:tapGestureRecognizer];

    UILongPressGestureRecognizer *longPressGestureRecognizer = [[UILongPressGestureRecognizer alloc]initWithTarget:self action:@selector(imgLongPressed)];
    [self addGestureRecognizer:longPressGestureRecognizer];
}

- (void)setLabel:(NSString *)label{

    [self setAccessibilityLabel:@""];
}

#pragma mark - Accessibility

- (void)accessibilityElementDidBecomeFocused{

    _onFocusStart(@{});
}

- (BOOL)isAccessibilityElement{

    return YES;
}

- (void)accessibilityElementDidLoseFocus{

    _onFocusEnd(@{});
}

#pragma mark - Gesture recognizer

-(void)imgTapped{

    _onImagePressed(@{});
}

-(void)imgLongPressed{

    _onImageLongPressed(@{});
}



@end
